<?php

class views_navigation_handler_field_node extends views_handler_field_node {

  /**
   * Add GET parameters to the link url.
   */
  function render_link($data, $values) {
    $data = parent::render_link($data, $values);
    if (isset($this->view->views_navigation_cid)) {
      if ($this->options['alter']['make_link'] && preg_match('@^node/[0-9]+$@', $this->options['alter']['path'])) {
        $nid = $this->get_value($values, 'nid');
        //TODO handle the case when the nid is in the result more than one time.
        $nids = array();
        foreach ($this->view->result as $result) {
          $nids[] .= $result->nid;
        }
        $index = array_search($nid, $nids);
        $this->options['alter']['path'] .= '?vnc=' . $this->view->views_navigation_cid . '&vnp=' . $index;
      }
    }
    return $data;
  }

}
